using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.SqlClient;


namespace ADONETLAB1
{
    //    SQL Server 2005
    //           
    class CreateDB_Command
    {
        static void Main(string[] args)
        {
            // 1.   Connection
            SqlConnection conn = new SqlConnection();
            // conn.ConnectionString = "Data Source=Server\\sql2005;" +
            //       , 
            //    SQL    
            
            conn.ConnectionString = "Data Source=VGN-TX90;" +
            //      Windows 
            "Integrated Security=SSPI;" +
            //
            "Initial Catalog=;";

            // 2.    SQL 
            conn.Open();

            // 3.   Command:
            SqlCommand cmd = new SqlCommand();
            //      SQL 
            cmd.CommandText = "CREATE DATABASE [stud] ON  PRIMARY" +
            "( NAME = N'stud', FILENAME = N'C:\\TMP\\stud.mdf' ," +
            " SIZE = 10240KB , FILEGROWTH = 1024KB )" +
            " LOG ON( NAME = N'stud_log', FILENAME = N'C:\\TMP\\stud_log.ldf' ," +
            " SIZE = 103424KB , FILEGROWTH = 10%)";
            
            ////     
            
            cmd.Connection = conn;
            //// 4.  , .. \     ExecuteNonQuery()

            cmd.ExecuteNonQuery();
            conn.Close();

            conn.ConnectionString = "Data Source=VGN-TX90;" +
                "Integrated Security=SSPI;" +
                "Initial Catalog=stud;";

            conn.Open();

            cmd.CommandText = "CREATE TABLE Lead (" +
               "ID_Subject           int NOT NULL," +
               "ID_Teacher           int NOT NULL," +
               "Year                 int NULL )";
            cmd.ExecuteNonQuery();



            cmd.CommandText = "ALTER TABLE Lead " +
            "ADD PRIMARY KEY (ID_Subject ASC, ID_Teacher ASC)";

            cmd.ExecuteNonQuery();
            

            cmd.CommandText = "CREATE TABLE Learning ( "+
                "ID_Student           int NOT NULL, "+
                "ID_Subject           int NOT NULL, "+
                "Semestr              int NULL)";
            cmd.ExecuteNonQuery();

            
            cmd.CommandText = "ALTER TABLE Learning "+
                "ADD PRIMARY KEY (ID_Student ASC, ID_Subject ASC)";
            cmd.ExecuteNonQuery();


            cmd.CommandText = "CREATE TABLE Teacher ("+
               "ID_Teacher           int NOT NULL, "+
               "First_Name           varchar(20) NULL, "+
               "Secondary_Name       varchar(30) NULL, "+
               "Family               varchar(40) NULL, "+
               "Level                varchar(20) NULL )";
            cmd.ExecuteNonQuery();


            cmd.CommandText = "ALTER TABLE Teacher "+
                "ADD PRIMARY KEY (ID_Teacher ASC)";
            cmd.ExecuteNonQuery();
            

            cmd.CommandText = "CREATE TABLE Subject ("+
               "ID_Subject           int NOT NULL, "+
               "Name                 varchar(40) NULL, "+
               "Hource               int NULL)";
             cmd.ExecuteNonQuery();
            

            cmd.CommandText = "ALTER TABLE Subject "+
            "ADD PRIMARY KEY (ID_Subject ASC)";
            cmd.ExecuteNonQuery();
            

            cmd.CommandText = "CREATE TABLE Student ("+
               "ID_Student           int NOT NULL, "+
               "First_Name           varchar(20) NULL, "+
               "Secondary_Name      varchar(20) NULL, "+
               "birthday             datetime NULL)";
            cmd.ExecuteNonQuery();

            
            cmd.CommandText = "ALTER TABLE Student "+
                "ADD PRIMARY KEY (ID_Student ASC)";
            cmd.ExecuteNonQuery();

            
            cmd.CommandText = "ALTER TABLE Lead "+
                 "ADD FOREIGN KEY (ID_Teacher) "+
                 "REFERENCES Teacher  (ID_Teacher) "+
                 "ON UPDATE NO ACTION";         
            cmd.ExecuteNonQuery();
            
            
            cmd.CommandText = "ALTER TABLE Lead "+
               "ADD FOREIGN KEY (ID_Subject) "+
               "REFERENCES Subject  (ID_Subject) "+
               "ON UPDATE NO ACTION";            
            cmd.ExecuteNonQuery();

            
            cmd.CommandText = "ALTER TABLE Learning "+
               "ADD FOREIGN KEY (ID_Subject) "+
               "REFERENCES Subject  (ID_Subject) "+
               "ON UPDATE NO ACTION";
            cmd.ExecuteNonQuery();

            
            cmd.CommandText = "ALTER TABLE Learning "+
                 "ADD FOREIGN KEY (ID_Student) "+
                 "REFERENCES Student  (ID_Student) "+
                 "ON UPDATE NO ACTION";
            cmd.ExecuteNonQuery();
            
            
            // 5.  
            conn.Close();
            if (conn.State == ConnectionState.Closed) Console.WriteLine("Connection closed");
            else Console.WriteLine("Connection state:{0}", conn.State);
        }
    }
}

